> ## Documentation Index
> Fetch the complete documentation index at: https://doc.raliopay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get crypto payout order details

> Get details of a specific crypto payout order



## OpenAPI

````yaml get /api/v1/account/crypto-payouts/{oid}
openapi: 3.0.1
info:
  title: RALIO API
  description: Banking as a service API.
  contact:
    name: Tropipay Support
    url: https://help.tropipay.com/contacto/
    email: support@tropipay.com
  version: '1.0'
servers:
  - url: https://sandbox-revo-api.raliopay.com/
security: []
paths:
  /api/v1/account/crypto-payouts/{oid}:
    get:
      tags:
        - payouts
      summary: Get crypto payout order details
      description: Get details of a specific crypto payout order
      parameters:
        - name: oid
          in: path
          description: Crypto Payout Order ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/dto.CryptoPayoutOrderResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httperror.ErrResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httperror.ErrResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httperror.ErrResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httperror.ErrResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    dto.CryptoPayoutOrderResponse:
      type: object
      properties:
        canCancel:
          type: boolean
          example: true
        cancelRequestedAt:
          type: string
          example: '2025-01-15T10:31:00.000Z'
        canceledAt:
          type: string
          example: '2025-01-15T10:32:00.000Z'
        createdAt:
          type: string
          example: '2025-01-15T10:30:00.000Z'
        destination:
          $ref: '#/components/schemas/domain.Money'
        displayType:
          type: string
          example: Crypto Pay Out
        failedAt:
          type: string
          example: '2025-01-15T10:35:00.000Z'
        fee:
          $ref: '#/components/schemas/dto.FeeResponse'
        fx:
          $ref: '#/components/schemas/dto.FXResponse'
        id:
          type: string
          example: f6a7b8c9-d0e1-4f2a-3b4c-5d6e7f8a9b0c
        origin:
          $ref: '#/components/schemas/domain.Money'
        recipient:
          $ref: '#/components/schemas/dto.CryptoRecipient'
        reference:
          type: string
          example: CRYPTO-PAY-5-001234
        sender:
          $ref: '#/components/schemas/dto.AccountSender'
        settledAt:
          type: string
          example: '2025-01-15T10:35:00.000Z'
        state:
          type: string
          example: SETTLED
        type:
          type: string
          example: CRYPTO_PAY_OUT
        updatedAt:
          type: string
          example: '2025-01-15T10:30:05.000Z'
    httperror.ErrResponse:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/httperror.ErrorData'
    domain.Money:
      required:
        - currency
      type: object
      properties:
        amount:
          type: integer
          description: 'Amount in cents. Ex: 12345 = 123.45€'
          example: 1000
        currency:
          type: string
          description: USD, EUR, etc.
          example: CURRENCY
          enum:
            - EUR
            - USD
            - MXN
            - CAD
            - BRL
            - COP
            - PEN
            - BOB
            - CLP
            - ARS
            - UYU
            - PYG
            - CNY
            - HKD
            - MYR
            - USDT
            - USDC
            - EURC
            - BTC
            - ETH
    dto.FeeResponse:
      type: object
      properties:
        amount:
          type: integer
          example: 100
        breakdown:
          $ref: '#/components/schemas/dto.FeeBreakdown'
        currency:
          type: string
          example: EUR
    dto.FXResponse:
      type: object
      properties:
        pair:
          type: string
          example: CURRENCY/CURRENCY
        rate:
          type: number
          example: 1.08
        timestamp:
          type: string
          example: '2025-01-15T10:30:00.000Z'
    dto.CryptoRecipient:
      required:
        - address
        - currency
        - network
      type: object
      properties:
        address:
          type: string
          example: '41453196840881978364684601463897081767828327403'
        amount:
          type: integer
        currency:
          type: string
          example: USDT
        network:
          type: string
          example: SOLANA
    dto.AccountSender:
      type: object
      properties:
        accountId:
          type: string
          example: a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d
    httperror.ErrorData:
      type: object
      properties:
        code:
          $ref: '#/components/schemas/httperror.ErrorCode'
        details:
          type: array
          items:
            $ref: '#/components/schemas/httperror.ErrorDetails'
        message:
          type: string
        type:
          $ref: '#/components/schemas/httperror.ErrorType'
    dto.FeeBreakdown:
      type: object
      properties:
        merchantFee:
          type: integer
          example: 40
        systemFee:
          type: integer
          example: 60
    httperror.ErrorCode:
      type: string
      enum:
        - INVALID_REQUEST
        - UNAUTHORIZED
        - FORBIDDEN
        - NOT_FOUND
        - INTERNAL_SERVER_ERROR
        - UNKNOWN_ERROR
        - NOT_IMPLEMENTED
        - TOO_MANY_REQUESTS
        - QUOTE_EXPIRED
      x-enum-varnames:
        - InvalidRequestCode
        - UnauthorizedCode
        - ForbiddenCode
        - NotFoundCode
        - InternalServerCode
        - UnknownErrorCode
        - NotImplementedCode
        - TooManyRequestsCode
        - QuoteExpiredCode
    httperror.ErrorDetails:
      type: object
      properties:
        field:
          type: string
        message:
          type: string
    httperror.ErrorType:
      type: string
      enum:
        - VALIDATION_ERROR
        - CONFLICT_ERROR
        - UNPROCESSABLE_ERROR
        - AUTHENTICATION_ERROR
        - AUTHORIZATION_ERROR
        - NOT_FOUND_ERROR
        - INTERNAL_ERROR
        - NOT_IMPLEMENTED_ERROR
        - UNKNOWN_ERROR
        - RATE_LIMIT_ERROR
      x-enum-varnames:
        - ValidationError
        - ConflictError
        - UnprocessableError
        - AuthenticationError
        - AuthorizationError
        - NotFoundError
        - InternalError
        - NotImplementedError
        - UnknownError
        - RateLimitError
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: API Key for accessing management endpoints
      x-mint-auth-type: bearer

````